Bug 8052 - Segmentation fault on display mailbox with this letter
: Segmentation fault on display mailbox with this letter
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mutt1.5)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-25 19:16 by
Modified: 2006-10-13 17:31 (History)


Attachments
Это письмо вызывает segmentation fault (14.82 KB, application/octet-stream)
2005-09-25 19:18, Eugene Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-25 19:16:36
Прикладываю образец спама, который у меня вызывает гарантированное падение
mutt1.5 при открытии почтового ящика с этим письмом. Падение происходит в
момент
отображения заголовка письма, то есть, если в ящике много писем, segmentation
fault возникает только после отмотки списка до этого письма.

Для воспроизведения достаточно запустить
mutt -f bad_mail

$ rpm -q mutt1.5  
mutt1.5-1.5.10i-alt3
------- Comment #1 From 2005-09-25 19:18:04 -------
Created an attachment (id=1139) [details]
Это письмо вызывает segmentation fault
------- Comment #2 From 2005-09-25 19:53:42 -------
Проблема в заголовке

From: =?koi8-r?B??= <vzgjjabycggw@mlg.com>

Буду посмотреть.
------- Comment #3 From 2005-09-25 22:57:15 -------
Ыыы, не одному мне оно пришло, значит.
ЗЫ. Леш, признайся, ты не видел аналогичное письмо в топике на канале?
------- Comment #4 From 2005-09-26 12:43:11 -------
Проблема в safe_strddup().  Возвращется NULL если идёт попытка с'dup'ить NULL
ИЛИ пустую строку ("")...  Может вылезать в самых неожиданных местах.
------- Comment #5 From 2005-09-27 19:28:32 -------
Fixed in upcoming 1.5.11-alt1